activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eugeny N Dzhurinsky <b...@redwerk.com>
Subject Re: Starting Jetty to serve blobs with embedded broker
Date Thu, 07 Aug 2008 07:46:04 GMT
On Wed, Aug 06, 2008 at 03:46:20PM +0200, Dejan Bosanac wrote:
> Hi Eugeny,
> 
> try adding something like
> 
>         <dependency>
>             <groupId>org.mortbay.jetty</groupId>
>             <version>6.1.2</version>
>             <artifactId>jetty</artifactId>
>         </dependency>
> 
> to your dependencies.

Hello, Dejan!

Thank you for advice, I was able to find out the problem, and the complete
list of dependencies needed to start the broker with jetty support is:

<dependency>
    <groupId>org.apache.activemq</groupId>
    <artifactId>activemq-core</artifactId>
    <version>5.1.0</version>
</dependency>
<dependency>
    <groupId>org.springframework</groupId>
    <artifactId>spring</artifactId>
    <version>2.5.5</version>
</dependency>
<dependency>
    <groupId>org.apache.xbean</groupId>
    <artifactId>xbean-spring</artifactId>
    <version>3.4</version>
</dependency>
<dependency>
    <groupId>org.mortbay.jetty</groupId>
    <artifactId>jetty-xbean</artifactId>
    <version>6.1.11</version>
</dependency>

with these dependencies ActiveMQ is being started just fine and jetty accepts
HTTP connections as well. Thank you all for your help!

-- 
Eugene N Dzhurinsky

Mime
View raw message